#include <iostream>
#include <cmath>
using namespace std;

int main()
{
	int n,m,i,x,y;
	long long s=0;
	cin>>n>>m;
	int a[n];
	for(i=1;i<=n;i++)
	cin>>a[i];
	for(i=0;i<m;i++)
	{
		cin>>x>>y;
		s=s+(long)abs(a[x]+a[y]);
	}
	cout<<s;
	return 0;
}